module.exports = {
  up(queryInterface, Sequelize) {
    return queryInterface.createTable('AuditLogs', {
      id: {
        type: Sequelize.BIGINT,
        primaryKey: true,
        autoIncrement: true
      },
      UserId: {
        type: Sequelize.BIGINT,
        required: true
      },
      updatedAt: Sequelize.DATE,
      createdAt: Sequelize.DATE,
      action: {
        type: Sequelize.TEXT,
        required: true,
        defaultValue: 'Unknown Action'
      }
    })
  },
  down(queryInterface, Sequelize) {
    return queryInterface.dropTable('AuditLogs', {})
  }
}